QwtLinearColorMap(3)

NAME
QwtLinearColorMap - QwtLinearColorMap builds a color map from color stops.

SYNOPSIS

#include <qwt_color_map.h>

Inherits QwtColorMap.

  Public Types
enum Mode { FixedColors, ScaledColors }

  Public Member Functions
QwtLinearColorMap (QwtColorMap::Format=QwtColorMap::RGB)
QwtLinearColorMap (const QColor &from, const QColor &to, QwtColorMap::Format=QwtColorMap::RGB)
virtual ~QwtLinearColorMap ()
Destructor.
void setMode (Mode)
Set the mode of the color map.
Mode mode () const
void setColorInterval (const QColor &color1, const QColor &color2)
void addColorStop (double value, const QColor &)
QVector< double > colorStops () const
QColor color1 () const
QColor color2 () const
virtual QRgb rgb (const QwtInterval &, double value) const override
virtual uint colorIndex (int numColors, const QwtInterval &, double value) const override
Map a value of a given interval into a color index.

  Additional Inherited Members

Detailed Description

QwtLinearColorMap builds a color map from color stops. A color stop is a color at a specific position. The valid range for the positions is [0.0, 1.0]. When mapping a value into a color it is translated into this interval according to mode().

Definition at line 98 of file qwt_color_map.h.

Member Enumeration Documentation

  enum QwtLinearColorMap::Mode
Mode of color map

See also
    setMode(), mode()

Enumerator

FixedColors
    Return the color from the next lower color stop.

ScaledColors
    Interpolating the colors of the adjacent stops.

Definition at line 105 of file qwt_color_map.h.

Constructor & Destructor Documentation

  QwtLinearColorMap::QwtLinearColorMap (QwtColorMap::Format format = QwtColorMap::RGB) [explicit]
Build a color map with two stops at 0.0 and 1.0. The color at 0.0 is Qt::blue, at 1.0 it is Qt::yellow.

Parameters
    format Preferred format of the color map

Definition at line 351 of file qwt_color_map.cpp.

  QwtLinearColorMap::QwtLinearColorMap (const QColor & color1, const QColor & color2, QwtColorMap::Format format = QwtColorMap::RGB)
Build a color map with two stops at 0.0 and 1.0.

Parameters
    color1 Color used for the minimum value of the value interval
    color2 Color used for the maximum value of the value interval
    format Preferred format for the color map

Definition at line 367 of file qwt_color_map.cpp.

Member Function Documentation

  void QwtLinearColorMap::addColorStop (double value, const QColor & color)
Add a color stop

The value has to be in the range [0.0, 1.0]. F.e. a stop at position 17.0 for a range [10.0,20.0] must be passed as: (17.0 - 10.0) / (20.0 - 10.0)

Parameters
    value Value between [0.0, 1.0]
    color Color stop

Definition at line 433 of file qwt_color_map.cpp.

  QColor QwtLinearColorMap::color1 () const

Returns
    the first color of the color range

See also
    setColorInterval()

Definition at line 451 of file qwt_color_map.cpp.

  QColor QwtLinearColorMap::color2 () const

Returns
    the second color of the color range

See also
    setColorInterval()

Definition at line 460 of file qwt_color_map.cpp.

  uint QwtLinearColorMap::colorIndex (int numColors, const QwtInterval & interval, double value) const [override], [virtual]

Map a value of a given interval into a color index.

Parameters
    numColors Size of the color table
    interval Range for all values
    value Value to map into a color index

Returns
    Index, between 0 and 255

Note
    NaN values are mapped to 0

Reimplemented from QwtColorMap.

Definition at line 494 of file qwt_color_map.cpp.

  QVector< double > QwtLinearColorMap::colorStops () const

Returns
    Positions of color stops in increasing order

Definition at line 442 of file qwt_color_map.cpp.

  QwtLinearColorMap::Mode QwtLinearColorMap::mode () const

Returns
    Mode of the color map

See also
    setMode()

Definition at line 400 of file qwt_color_map.cpp.

  QRgb QwtLinearColorMap::rgb (const QwtInterval & interval, double value) const [override], [virtual]
Map a value of a given interval into a RGB value

Parameters
    interval Range for all values
    value Value to map into a RGB value

Returns
    RGB value for value

Implements QwtColorMap.

Definition at line 473 of file qwt_color_map.cpp.

  void QwtLinearColorMap::setColorInterval (const QColor & color1, const QColor & color2)
Set the color range

Add stops at 0.0 and 1.0.

Parameters
    color1 Color used for the minimum value of the value interval
    color2 Color used for the maximum value of the value interval

See also
    color1(), color2()

Definition at line 415 of file qwt_color_map.cpp.

  void QwtLinearColorMap::setMode (Mode mode)

Set the mode of the color map. FixedColors means the color is calculated from the next lower color stop. ScaledColors means the color is calculated by interpolating the colors of the adjacent stops.

See also
    mode()

Definition at line 391 of file qwt_color_map.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.